- PHP Manual
- Function Reference
- Cryptography Extensions
- OpenSSL
- Predefined Constants
- Purpose checking flags
- Padding flags for asymmetric encryption
- Key types
- PKCS7 Flags/Constants
- Signature Algorithms
- Ciphers
- Version constants
- Server Name Indication constants

Ciphers
Server Name Indication constants
Predefined Constants
PHP Manual

## Version constants

`OPENSSL_VERSION_TEXT` (string)
`OPENSSL_VERSION_NUMBER` (integer)

> Note:

> These constants were added in 5.2.0.